# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-upoints
%global srcname upoints

Name:           python-module-upoints
Version:        0.11.0
Release:        alt1_10
Summary:        Python modules for working with points on Earth

Group:          Engineering
License:        GPLv3+
URL:            http://www.jnrowe.ukfsn.org/projects/upoints.html
Source0:        http://www.jnrowe.ukfsn.org/data/%{srcname}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info


%description
upoints, previously called earth_distance, is a collection of
modules for working with points on a spherical object. It allows
you to calculate the distance and bearings between points,
mangle xearth/xplanet data files, work with online UK trigpoint 
databases and various other databases.

%prep
%setup -q -n %{srcname}-%{version}
chmod -x test/grab_net_sources.py
sed -i 's/\r$//' test/data/gpsdata

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root=%{buildroot}
mv %{buildroot}%{_bindir}/edist.py %{buildroot}/%{_bindir}/edist

%files
%doc ChangeLog COPYING NEWS README doc/ html/ test/
%{_bindir}/edist
%{python_sitelibdir_noarch}/%{srcname}/
%{python_sitelibdir_noarch}/%{srcname}*.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.11.0-alt1_10
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.11.0-alt1_9
- initial fc import

